INIT:
	MOV	AUXR1,#SEL_DP1	;reduce pwr in clk circuits and select DP1
	MOV	DIVM,#2		;DIVM
	MOV	RTCCON,#0FEH	;STOP RTC
;
;						PxM1	0	1	0	1
;						PxM2	0	0	1	1
;							Q	Z**	PP	OD		** Default for most pins
			
;P0					M1	M2	TEN4	RS485EN	M3	M4	UNIT4	UNIT1
;
	MOV	P0,  #11101111B	;	Z=1	Z=1	Z=1	Z=0	Z=1	Z=1	Z=1	Z=1
	MOV	P0M1,#00000000B	;	Q=1	Q=1	Q=1	Q=0	Q=1	Q=1	Q=1	Q=1
	MOV	P0M2,#00010000B	;	Q=1	Q=1	Q=1	PP=0	Q=1	Q=1	Q=1	Q=1
;
;P1					UNIT2	TEN2	RST	NLEDTX	TEN8	UNIT8	RX	TX
;
	MOV	P1  ,#11111101B	;	Z=1	Z=1	Z=1	Z=1	Z=1	Z=1	Z=0	Z=1
	MOV	P1M1,#00010010B	;	Q=1	Q=1	Q=1	Z=1	Q=1	Q=1	Z=0	Q=1
	MOV	P1M2,#00010001B	;	Q=1	Q=1	Q=1	OD=1	Q=1	Q=1	Z=0	PP=1
;

;P2					--	--	--	--	--	--	--	--
;
	MOV	P2,  #00000000B	;	Z=0	Z=0	Z=1	Z=1	Z=1	Z=1	Z=0	Z=0
	MOV	P2M1,#11111111B	;	Z=0	Z=0	Q=1	Q=1	Q=1	Q=1	Q=0	Z=0
	MOV	P2M2,#00000000B	;	OD=0	OD=0	Q=1	Q=1	Q=1	Q=1	Q=0	OD=0
;
;						na	na	na	na	na	na	NLEDRX	TEN1
	MOV	P3  ,#00000011B	;								Z=1	Z=1
	MOV	P3M1,#00000010B	;								Z=1	Q=1
	MOV	P3M2,#00000010B	;								OD=1	Q=1
;
;
	MOV	WDCON,#WD_163MS
	MOV	WFEED1,#0A5H
	MOV	WFEED2,#05AH
;
	CLR	A
	MOV	R0,#127
	MOV	@R0,A
	DJNZ	R0,$-1
	SETB	SLOW_RPM
	SETB	NO_RPM
	MOV	SP,#STACK_BOT

	MOV	DPTR,#CODE_RX_DELAY
	CLR	A
	MOVC	A,@A+DPTR
	MOV	RX_DELAY,A

	MOV	PCON,#0
	MOV	PCONA,#0FDH	;PCONA  only serial port on
	MOV	SCON,#058H		;01010000 8 BIT VARIABLE RATE, ENABLED
					;9TH BIT = 1
	MOV	BRGR1,#0		;BRG1
	MOV	BRGR0,#176	;BRG0
	MOV	BRGCON,#3		;BRGCON
	MOV	TMOD,#00H	;TMR1,0 = 5 bit prescaler, TH = loaded
	MOV	TH0,#256-15
	MOV	TCON,#14H	;TMR0 running 
	MOV	IP0,#2		;highest priority TMR0
	MOV	IP0H,#2
	MOV	IP1,#2		;highest priority KBI
	MOV	IP1H,#2

	MOV	TSEC_TMR,#TSEC


	MOV	A,P0
	ANL	A,#40H
	MOV	KBPATN,A
	MOV	KBMASK,#40H
	MOV	KBCON,#0

	MOV	IEN0,#82H		; UART = 0      92H		;IEALL, Uart, TMR0 = 1;
;	SETB	EKBI			;enable Keyboard interrupt.


	CLR	TXFIN
	CLR	TXING
	SETB	RXTXEN
	JMP	MON
;
;




	