 	ORG	00000H
	JMP	INIT
;
;
	ORG	00003H
	RETI
	
;
;
	ORG	0000BH
T0C0:	
	AJMP	TMR0I
;
	ORG	00013H
;
	ORG	0001BH
T1C1:
;
;
	ORG	00023H
	PUSH	PSW
	MOV	PSW,#SEL_RB_2
	MOV	R7,A
	JBC	TXFIN,ITX
	JBC	RXIN,IRX
IRXTX_R:
	MOV	A,R7
	POP	PSW
	RETI
;
	ORG	003BH
KB_INT:
	XRL	KBPATN,#40H
	MOV	KBCON,#0
	JB	P0.6,KB_INT_R
	CPL	NLEDTX
	PUSH	PSW
	PUSH	ACC
	CLR	TCON.4		;stop TMR0
	CLR	TCON.5		;clr TMR0 overflow flag
	MOV	A,#255-15
	XCH	A,TH0
	SETB	TCON.4
	CLR	C
	SUBB	A,#255-15
	ADD	A,RPM_TMR
	MOV	RPM_TIME,A
	CLR	A
	MOV	RPM_TMR,A
	XCH	A,RPM_TMR+1
	ADDC	A,#0
	MOV	RPM_TIME+1,A
	JNB	ACC.7,$+5	;rpm>7?		14?
	SETB	SLOW_RPM	;no
	CLR	A
	XCH	A,RPM_TMR+2
	ADDC	A,#0
	MOV	RPM_TIME+2,A
	JBC	NO_RPM,$+5
	SETB	COMPUTE_RPM_F
	POP	ACC
	POP	PSW
KB_INT_R:
	RETI
;
;
IRX:
;;;;;	CLR	NLEDRX
	CLR	TMR0EN
	MOV	SILENT_TMR,#CHAR1D5
	SETB	TMR0EN
	JB	TXING,IRXTX_R
	MOV	A,RX_PTR
	CJNE	A,#RXBFREND+1,$+3
	JNC	IRXTX_R
	MOV	R0,A	
	MOV	A,SBUF
	MOV	@R0,A			;check for odd/even/   no parity
					;                   (extra stop	bit)
	CALL	COMP_CRC
	INC	RX_PTR
	AJMP	IRXTX_R
;
;
ITX:
	MOV	A,TX_CTR
	JNZ	ITX_1
ITX_R:
	MOV	RX_PTR,#RXBFR 
	MOV	CRC,#0FFH
	MOV	CRC+1,#0FFH
	CLR	RS485EN
;;;;;	SETB	NLEDTX
	CLR	TXING
	AJMP	IRXTX_R
ITX_1:
	MOV	R0,TX_PTR
	MOV	A,@R0
ITX_2:
	INC	TX_PTR
ITX_3:
	MOV	SBUF,A
;	ACALL	COMP_CRC
	DEC	TX_CTR
	AJMP	IRXTX_R
;
;
TMR0I:
	PUSH	PSW
	MOV	PSW,#SEL_RB_1
	MOV	R7,A
;
	CLR	TCON.4
	MOV	A,TH0
	ADD	A,#256-15
	MOV	TH0,A
	SETB	TCON.4
;
	JB	NO_RPM,TMR0I_0
;
;	CLR	IEALL	
	MOV	A,RPM_TMR
	ADD	A,#15
	MOV	RPM_TMR,A
	CLR	A
	ADDC	A,RPM_TMR+1
	MOV	RPM_TMR+1,A
	JNB	ACC.7,$+5	;rpm>7		14?
	SETB	SLOW_RPM	;no
	CLR	A
	ADDC	A,RPM_TMR+2
	MOV	RPM_TMR+2,A
	JNB	ACC.2,$+9
	SETB	NO_RPM
	MOV	RPM,#0
	MOV	RPM+1,#0
;	SETB	IEALL
TMR0I_0:
	MOV	A,SILENT_TMR
	JZ	TLOOP1
	DJNZ	SILENT_TMR,TLOOP1
 	CLR	RXTXEN
;;;;;	SETB	NLEDRX
 	SETB	RXIN_F
TLOOP1:
 	DJNZ	TSEC_TMR,TMR0IR
	SETB	TSEC_F
	MOV	TSEC_TMR, #TSEC
RON2:
	
TMR0IR:
	MOV	A,R7
	POP	PSW
;T0C0_R:
	RETI
;
;
